Page MenuHomePhabricator

Watchlist show/hide checkboxes don't work correctly for form options that hide something by default
Closed, ResolvedPublic

Description

https://gerrit.wikimedia.org/r/#/c/149268/ changed the watchlist form to have checkboxes.

this doesn't seem to work correctly with the form options that are set to hide particular stuff by default. (e.g. hiding wikibase edits by default).

when I uncheck it, the change (uncheck) is not included in the get request and it keeps being checked.

Event Timeline

aude created this task.Nov 12 2015, 12:23 PM
aude updated the task description. (Show Details)
aude raised the priority of this task from to High.
aude added a subscriber: aude.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 12 2015, 12:23 PM
aude claimed this task.Nov 12 2015, 12:24 PM
aude set Security to None.
aude updated the task description. (Show Details)Nov 12 2015, 1:51 PM
aude renamed this task from Show/hide wikibase edits watchlist toggle needs to be adjusted for new checkboxes to Watchlist show/hide checkboxes don't work correctly for form options that hide something by default.
aude added a comment.Nov 12 2015, 1:56 PM

if this is introduced also in Special:Recentchanges, we hide bot edits by default. that might have the same issue as this with checkboxes

aude added a comment.Nov 12 2015, 6:12 PM

this is also a problem if a user has one of the watchlist preferences set, such as "Hide edits by logged in users from the watchlist".

aude updated the task description. (Show Details)Nov 12 2015, 6:12 PM
aude added a subscriber: matmarex.

I can't reproduce. Unchecking works for me (the state is preserved, and the right kind of edit is shown). I haven't tried with Wikidata, but the core options seem to work.

The core code checks for action=submit in the query, and only loads the default for checkboxes if it is not set (see SpecialWatchlist::getDefaultOptions()). Extensions adding more fields should probably do that too… I think we accidentally broke compatibility here :/

Change 254135 had a related patch set (by Aude) published:
Make Wikibase watchlist filter in client work with new checkboxes

https://gerrit.wikimedia.org/r/254135

By the way, if you think of any better way to solve this in core, I'm all ears…

Change 254135 merged by jenkins-bot:
Make Wikibase watchlist filter in client work with new checkboxes

https://gerrit.wikimedia.org/r/254135

Change 254167 had a related patch set uploaded (by Aude):
Make Wikibase watchlist filter in client work with new checkboxes

https://gerrit.wikimedia.org/r/254167

Change 254167 merged by jenkins-bot:
Make Wikibase watchlist filter in client work with new checkboxes

https://gerrit.wikimedia.org/r/254167

Change 254175 had a related patch set uploaded (by Aude):
Update Wikidata - Adjust watchlist filter for changes in core

https://gerrit.wikimedia.org/r/254175

Change 254175 merged by jenkins-bot:
Update Wikidata - Adjust watchlist filter for changes in core

https://gerrit.wikimedia.org/r/254175

aude closed this task as Resolved.Nov 19 2015, 6:56 PM
aude removed a project: Patch-For-Review.

deployed and looks good already on wikivoyage

aude moved this task from Review to Done on the Wikidata-Sprint-2015-11-17 board.Nov 19 2015, 6:57 PM